# frozen_string_literal: true

lib = File.expand_path('lib', __dir__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'clean_errors/version'

Gem::Specification.new do |spec|
  spec.name          = 'clean_errors'
  spec.version       = CleanErrors::VERSION
  spec.authors       = ['Square']
  spec.email         = ['support@trycaviar.com']
  spec.summary       = 'Simple errors with strong definitions'
  spec.description   = 'Simple errors with strong definitions. Used for making API Errors.'
  spec.homepage      = 'https://www.trycaviar.com'
  spec.license       = 'Apache-2.0'

  spec.files         = `git ls-files`.split("\n")
  spec.executables   = []
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ['lib']

  spec.add_dependency 'i18n', '>= 0.7'
  spec.add_dependency 'activesupport', '>= 4.2'
  spec.add_development_dependency 'bundler', '~> 1.6'
  spec.add_development_dependency 'rake', '~> 12.3'
end
